/*
 * Copyright (C) 2012 CompuLab, Ltd.
 * Authors: Nikita Kiryanov <nikita@compulab.co.il>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PROGRESS_BAR_H_
#define PROGRESS_BAR_H_

#ifdef CONFIG_PROGRESS_BAR
void progress_bar_switch(int on);
void progress_bar_init(unsigned int tasksize);
void progress_bar_init_switch(unsigned int tasksize, int on);
void progress_bar_advance(unsigned int delta);
void progress_bar_remove(void);
void progress_bar_redraw(void);
void progress_bar_abort(void);
void progress_bar_printf(const char *fmt, ...);
#else
static inline void progress_bar_switch(int on) {}
static inline void progress_bar_init(unsigned int tasksize) {}
static inline void progress_bar_init_switch(unsigned int tasksize, int on) {}
static inline void progress_bar_advance(unsigned int delta) {}
static inline void progress_bar_remove(void) {}
static inline void progress_bar_redraw(void) {}
static inline void progress_bar_abort(void) {}
#define progress_bar_printf printf
#endif

#endif /* PROGRESS_BAR_H_ */
